> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Processor Webhook ( DEPRECATED )

> *This Endpoint is deprecated. Deprecated APIs that are no longer supported and should be removed from your integration. Please use the Stable version for your integration.**  Once registered, the webhook will be triggered by the GrailPay whenever a relevant event occurs, such as a transaction started, completed or failed. The webhook will then send a notification to the configured endpoint, which can be processed by the client application to perform additional actions or update relevant data.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json post /processor/api/v1/webhook
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /processor/api/v1/webhook:
    post:
      tags:
        - Webhooks
        - Deprecated
      summary: Register Processor Webhook ( DEPRECATED )
      description: >-
        *This Endpoint is deprecated. Deprecated APIs that are no longer
        supported and should be removed from your integration. Please use the
        Stable version for your integration.**  Once registered, the webhook
        will be triggered by the GrailPay whenever a relevant event occurs, such
        as a transaction started, completed or failed. The webhook will then
        send a notification to the configured endpoint, which can be processed
        by the client application to perform additional actions or update
        relevant data.
      operationId: 19d231743f43cd383af5b03f3dd28c8b
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1RegisterWebhookRequest'
      responses:
        '201':
          description: Webhook registered successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Webhook registered successfully!
                  data:
                    type: string
                    example: null
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403ForbiddenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookValidationErrorResponse'
      security:
        - ApiToken: []
components:
  schemas:
    V1RegisterWebhookRequest:
      required:
        - event_names
        - webhook_url
      properties:
        event_names:
          type: array
          items:
            type: string
            example: TransactionCompleted
          example:
            - TransactionCompleted
            - TransactionFailed
        webhook_url:
          type: array
          items:
            type: string
            example: https://example.com/webhook/transaction
          example:
            - https://example.com/webhook/transaction
            - https://testexample.com/webhook/transaction
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error403ForbiddenResponse:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Access denied. Please use a secure (HTTPS) connection.
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    WebhookValidationErrorResponse:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: The given data was invalid.
        data:
          type: string
          example: null
        errors:
          properties:
            event_names.0:
              type: array
              items:
                type: string
                example: The selected webhook event TransactionStarted1 is invalid.
          type: object
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````